/****************************************************************************

  Timer.c - Software Timer

****************************************************************************/

#include <Arduino.h>
#include <TimerOne.h>
#include "Timer.h"

/****************************************************************************
  Globale Variablen
****************************************************************************/

volatile uint16_t SWTimer[ TIMER_MAX ];  /* Software timer */

/****************************************************************************
  Funktionen
****************************************************************************/

/*--------------------------------------------------------------------------
  TimerIntService - Timer Interrupt Service Routine
  Parameter: keine
  Ergebnis:  keins
  --------------------------------------------------------------------------*/

static void TimerIntService( void )

  {
  uint8_t i;

  for ( i = 0; i < TIMER_MAX; i++ )
    if ( TimerRunning( i ) )          /* Timeout l�uft */
      SWTimer[ i ]--;                 /* um eins erniedrigen */
  }


/*--------------------------------------------------------------------------
  InitTimer - Timer initialisieren
  Parameter: keine
  Ergebnis:  keins
  --------------------------------------------------------------------------*/

void InitTimer( void )

  {
  uint8_t i;

  for ( i = 0; i < TIMER_MAX; i++ )
    SWTimer[ i ] = 0;
  Timer1.initialize( 1000000L / TICKS_PER_SEC );
  Timer1.attachInterrupt( TimerIntService );
  }

