/****************************************************************************
* 
* Timer.h - Header file f�r Timer.c
*
****************************************************************************/

#ifndef TIMER_H
#define TIMER_H

/****************************************************************************
* Definitionen
***************************************************************************/

/*** Timer ***/
#define TICKS_PER_SEC  100   /* 100 Interrups pro Sekunde (schnelle Timer) */
#define MSEC_PER_TICKS 10    /* 10 Milisekunden pro TICK (schnelle Timer) */

#define TIMER_EOC     0U              /* Timer zum erkennen des Kommunikationsendes */
#define TIMER_SAVE    1U
#define TIMER_MAX     2U              /* Zahl der Timer */

#define StartTimer(Timer,Time ) { SWTimer[ Timer ] = Time; }
#define StopTimer(Timer)        { SWTimer[ Timer ] = 0; }
#define DelayTime(Timer,Time)   { SWTimer[ Timer ] = Time; while( SWTimer[ Timer ] != 0U ); }
#define TimerRunning(Timer)     (SWTimer[ Timer ] != 0U) 
#define WaitTimer(Timer)        { while( SWTimer[ Timer ] != 0U ); }

/****************************************************************************
* Globale Variablen
****************************************************************************/

extern volatile uint16_t SWTimer[ TIMER_MAX ];  /* Software timer */

/****************************************************************************
* Funktionen
****************************************************************************/

/*--------------------------------------------------------------------------
* InitTimer - Timer initialisieren
* Parameter: keine
* Ergebnis:  keins
*--------------------------------------------------------------------------*/
void InitTimer( void );

#endif /* #ifndef TIMER_H */
