/****************************************************************************
* 
* Wolf.h - Header file f�r Wolf.c
*
****************************************************************************/

#ifndef WOLF_H
#define WOLF_H

/****************************************************************************
* Definitionen
***************************************************************************/

#define MAX_SPECMES_LEN 9

#define _SVorlaufTemp  _EBUSAllMax + 0
#define _RaumTemp      _EBUSAllMax + 1
#define _MischerTemp   _EBUSAllMax + 2
#define _Status4       _EBUSAllMax + 3
#define _WWSolarTemp   _EBUSAllMax + 4
#define _KollektorTemp _EBUSAllMax + 5
#define _SolLeist      _EBUSAllMax + 6
#define _ErtragTag     _EBUSAllMax + 7  
#define _ErtragSum     _EBUSAllMax + 8
#define _MMPuffer      _EBUSAllMax + 9
#define _MMRueckl      _EBUSAllMax + 10
#define _SMRueckl      _EBUSAllMax + 11

#ifdef AK_READ_MESS
#define WolfSpezEnab 3, 3, 3, 2, 3, 3, 3, 3, 3, 3, 3, 3
#else /* #ifdef AK_READ_MESS */
#define WolfSpezEnab 3, 3, 3, 2, 3, 3, 3, 3, 3
#endif /* #ifdef AK_READ_MESS */


#ifdef AK_READ_MESS
#define WolfSpezData \
  { "Soll_Vorlauf",    0, _MESS    }, \
  { "Raum_Temp",       0, _MESS10  }, \
  { "Vorlauf",         0, _MESS    }, \
  { "Status4",         0, _STATUSB }, \
  { "WWSolar",         0, _MESS    }, \
  { "Kollektor",       0, _MESS16  }, \
  { "Solare_Leistung", 0, _UMESS   }, \
  { "Ertrag_Tag",      0, _BIG     }, \
  { "Ertrag_Summe",    0, _VBIG    }, \
  { "MMPuffer",        0, _MESS10  }, \
  { "MMRuecklauf",     0, _MESS10  }, \
  { "SMRuecklauf",     0, _MESS10  },
#else  /* #ifdef AK_READ_MESS */
#define WolfSpezData \
  { "Soll_Vorlauf",    0, _MESS    }, \
  { "Raum",            0, _UBYTE   }, \
  { "Vorlauf",         0, _MESS    }, \
  { "Status4",         0, _STATUSB }, \
  { "WWSolar",         0, _MESS    }, \
  { "Kollektor",       0, _MESS16  }, \
  { "Solare_Leistung", 0, _UMESS   }, \
  { "Ertrag_Tag",      0, _BIG     }, \
  { "Ertrag_Summe",    0, _BIG     },
#endif /* #ifdef AK_READ_MESS */

/****************************************************************************
* neue Typen
****************************************************************************/

/****************************************************************************
* Globale Variablen
****************************************************************************/

extern uint16_t WolfErtrag[6];

/****************************************************************************
* Funktionen
****************************************************************************/

/*** Wolf.c ***/
/*--------------------------------------------------------------------------
* DataFromWolfMes - Daten aus Wolf spezifischen Messages lesen 
* Parameter: pBuf - Zeiger auf Puffer
*            len - Zahl der Bytes im Puffer
* Ergebnis:  keins
*--------------------------------------------------------------------------*/
void DataFromWolfMes( uint8_t *pBuf, uint8_t len );

/*--------------------------------------------------------------------------
* SetupParaWrMsg - Nachricht zum schreiben von Parameter erzeugen
* Parameter: Msg      - Hier sollen die Daten landen
*            SlaveAdr - Adresse des Slave
*            ParaAdr  - Adresse des Parameteres
*            Val      - Neuer Wert, der gesetzt werden soll
* Ergebnis:  keins
*--------------------------------------------------------------------------*/
void SetupParaWrMsg( uint8_t *Msg, uint8_t SlaveAdr, uint16_t ParaAdr, uint16_t Val );

/*--------------------------------------------------------------------------
* SetupParaRdMsg - Nachricht zum lesen von Parameter erzeugen
* Parameter: Msg      - Hier sollen die Daten landen
*            SlaveAdr - Adresse des Slave
*            ParaAdr  - Adresse des Parameteres
* Ergebnis:  keins
*--------------------------------------------------------------------------*/
void SetupParaRdMsg( uint8_t *Msg, uint8_t SlaveAdr, uint16_t ParaAdr );

#endif /* #ifndef WOLF_H */
